<?php
  $ruta="../../../";
  include_once($ruta."class/tipobanca.php");
  $tipobanca=new tipobanca;


  include_once($ruta."funciones/funciones.php");
  session_start();

   extract($_GET);
  $valor=dcUrl($lblcode);
  $datobanca = $tipobanca->muestra($valor);
?>
<!DOCTYPE html>
<html lang="es">
<head>
  <?php
    $hd_titulo="Administrar Banca ";
    include_once($ruta."includes/head_basico.php");
    include_once($ruta."includes/head_tabla.php");
    include_once($ruta."includes/head_tablax.php");
  ?>
</head>
<body>
    <?php
      include_once($ruta."head.php");
    ?>
    <div id="main">
      <div class="wrapper">
        <?php
          $idmenu=1038;
          include_once($ruta."aside.php");
        ?>
        <section id="content">
          <!--breadcrumbs start-->
          <div id="breadcrumbs-wrapper">
            <div class="container">
              <div class="row">
                <div class="col s12 m12 l12">
                  <h5 class="breadcrumbs-title"><i class="fa fa-tag"></i> <?php echo $hd_titulo; ?></h5>
                </div>
              </div>
            </div>
          </div>
          <div class="container">
            <div class="section">
            <a href="../listar/" class="btn waves-effect waves-light    "><i class="fa fa-plus-square"></i> Volver</a>
            <button id="btnSave" class="btn waves-effect waves-light blue"><i class="fa fa-save"> </i> Registrar Modificaciones</button>
               
              <div class="col s12 m12 l6">
                <h1>Editar Banca</h1>
                    <form class="col s12" id="idform" action="return false" onsubmit="return false" method="POST">
                      <div class="row">
                        <div class="input-field col s12">
                          <input id="idnombre" name="idnombre" value="<?php echo $datobanca['nombre'] ?>"  type="text" class="validate">
                          <label for="first_name">Nombre Banca</label >
                        </div> 
                        <div class="input-field col s12">
                          <input id="iddescripcion" name="iddescripcion" value="<?php echo $datobanca['descripcion'] ?>"  type="text" class="validate">
                          <label for="first_name">Descripcion Banca</label>
                        </div>
                        <div class="input-field col s6">
                          <input id="idfondogarantia" name="idfondogarantia"  readonly="" value="<?php echo $datobanca['fondogarantia'] ?>"type="number" class="validate">
                          <label for="idfondogarantia">Fondo Garantia</label>
                        </div>
                        <div class="input-field col s6">
                          <input id="iddeposito" name="iddeposito" readonly="" value="<?php echo $datobanca['depositoacumulado'] ?>"type="number" class="validate">
                          <label for="iddeposito">Desposito acumulado</label>
                        </div>
                        <div class="input-field col s6">
                          <input id="idinteres" name="idinteres"  readonly="" value="<?php echo $datobanca['interes'] ?>" type="number" class="validate">
                          <label for="idinteres">Interes</label>
                        </div> 
                        <div class="input-field col s6">
                          <input id="idseguro" name="idseguro" readonly=""  value="<?php echo $datobanca['seguro'] ?>" type="number" class="validate">
                          <label for="idseguro">Seguro</label>
                        </div> 
                      </div>
                    </form>
              </div>
            </div>
          </div>
          <?php
            include_once("../../footer.php");
          ?>
        </section>
      </div>
    </div>
    <div id="idresultado"></div>
    <!-- end -->
    <!-- jQuery Library -->
    <?php
      include_once($ruta."includes/script_basico.php");
      include_once($ruta."includes/script_tabla.php");
      include_once($ruta."includes/script_tablax.php");
    ?>
    <script type="text/javascript">
    $(document).ready(function() {
      $('#example').DataTable({
        dom: 'Bfrtip',
        buttons: [
            'copy', 'csv', 'excel', 'pdf', 'print'
        ]
      });
    
      $("#btnSave").click(function(){
       alert ("ENTRO");
        if (validar()) {    
         $('#btnSave').attr("disabled",true);      
          swal({
            title: "CONFIRMACION",
            text: "Se registrara filiacion",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#2c2a6c",
            confirmButtonText: "Registrar",
            closeOnConfirm: false
          }, function () {
            var str = $( "#idform" ).serialize();
            // alert(str);
            $.ajax({
              url: "guardar.php",
              type: "POST",
              data: str,
              success: function(resp){
                console.log(resp);
                $("#idresultado").html(resp);
              }
            }); 
          }); 
        }
        else{
          swal("DATOS FALTANTES");
        } 
      });
 function validar(){
        retorno=true;
        nombre=$('#idnombre').val();
        descripcion=$('#iddescripcion').val();
        if(nombre==''){
          retorno=false;
        }
        if(descripcion==''){
          retorno=false;
        }
        return retorno;
      }
     
    </script>
</body>

</html>